import 'package:doctor_app_flutter/config/size_config.dart';
import 'package:doctor_app_flutter/core/viewModel/PatientRegistrationViewModel.dart';
import 'package:doctor_app_flutter/screens/base/base_view.dart';
import 'package:doctor_app_flutter/widgets/shared/app_scaffold_widget.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/material.dart';

class VerifyActivationCodePage extends StatefulWidget {
  const VerifyActivationCodePage({Key? key}) : super(key: key);

  @override
  _VerifyActivationCodePageState createState() =>
      _VerifyActivationCodePageState();
}

class _VerifyActivationCodePageState extends State<VerifyActivationCodePage> {
  @override
  Widget build(BuildContext context) {
    return BaseView<PatientRegistrationViewModel>(
      builder: (_, model, w) => AppScaffold(
        baseViewModel: model,
        isShowAppBar: false,
        body: Column(
          children: [
            Container(
              width: double.infinity,
              margin: EdgeInsets.all(16.0),
              child: SingleChildScrollView(
                child: Column(
                  mainAxisAlignment: MainAxisAlignment.start,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    AppText(
                      "Please enter the verification code sent to 02221552",
                      fontFamily: 'Poppins',
                      fontSize: SizeConfig.textMultiplier! * 2.2,
                      fontWeight: FontWeight.w800,
                    ),
                  ],
                ),
              ),
            )
          ],
        ),
      ),
    );
  }
}
